Bug 13333 - Basket group is not displayed for already received orders
Summary: Basket group is not displayed for already received orders
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords: rel_3_18_candidate
Depends on: 11111
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-25 11:23 UTC by Jonathan Druart
Modified: 2015-12-03 22:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13333: Fix Display basket group for already received orders (2.55 KB, patch)
2014-11-25 11:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13333: Fix Display basket group for already received orders (2.69 KB, patch)
2014-12-02 16:23 UTC, Paola Rossi
Details | Diff | Splinter Review
[PASSED QA] Bug 13333: Fix Display basket group for already received orders (2.67 KB, patch)
2014-12-05 15:29 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13333: Fix Display basket group for already received orders (2.96 KB, patch)
2015-01-21 14:42 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2014-11-25 11:23:28 UTC
Bug 11111 adds a basket group column on the parcel page.
But it seems that the already received orders never contain the value (always 'no basket group').
Comment 1 Jonathan Druart 2014-11-25 11:25:55 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2014-11-25 11:26:56 UTC
It could be good to have this fix for the 3.18 release.
Comment 3 Paola Rossi 2014-12-02 16:23:57 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2014-12-05 15:29:00 UTC Comment hidden (obsolete)
Comment 5 Tomás Cohen Arazi 2015-01-21 14:29:05 UTC
It is not applying on master, could you please rebase?
Comment 6 Jonathan Druart 2015-01-21 14:42:49 UTC
Created attachment 35439 [details] [review]
Bug 13333: Fix Display basket group for already received orders

Bug 11111 adds a basket group column on the parcel page.
But it seems that the already received orders never contain the value
(always 'no basket group').

Test plan:
Receive an order which is in a basket group and verify the basket group
column is correctly filled.

Signed-off-by: Paola Rossi <paola.rossi@cineca.it>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Tomás Cohen Arazi 2015-02-05 18:00:47 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 8 Chris Cormack 2015-02-10 21:46:05 UTC
Pushed to 3.18.x will be in 3.18.4
Comment 9 Mason James 2015-02-26 03:21:54 UTC
(In reply to Chris Cormack from comment #8)
> Pushed to 3.18.x will be in 3.18.4

Pushed to 3.16.x, will be in 3.16.8